clan::ShaderObjectProvider Class Reference - ClanLib SDK
Description: clan::ShaderObjectProvider Class Reference

Public Member Functions | List of all members
clan::ShaderObjectProvider Class Referenceabstract
clanDisplay Display

Shader Object provider. More...

`#include <shader_object_provider.h>`

## Public Member Functions
virtual | ~ShaderObjectProvider ()
virtual void | compile ()=0
| Compile program.
virtual void | create (ShaderType type, const std::string &source)=0
| Creates a shader object.
virtual void | create (ShaderType type, const std::vector< std::string > &sources)=0
| Create.
virtual void | create (ShaderType type, const void *source, int source_size)=0
| Creates a shader object.
virtual bool | get_compile_status () const =0
| Returns true if compile succeeded.
virtual unsigned int | get_handle () const =0
| Returns the OpenGL shader handle.
virtual std::string | get_info_log () const =0
| Get shader object's info log.
virtual std::string | get_shader_source () const =0
| Get shader source code.
virtual ShaderType | get_shader_type () const =0
| Gets the shader type.

## Detailed Description

Shader Object provider.

## Constructor & Destructor Documentation

## ◆ ~ShaderObjectProvider()

virtual clan::ShaderObjectProvider::~ShaderObjectProvider | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ compile()

virtual void clan::ShaderObjectProvider::compile | ( |  | ) |
| pure virtual

Compile program.

## ◆ create() [1/3]

virtual void clan::ShaderObjectProvider::create | ( | ShaderType | type,
|  | const std::string & | source )
| pure virtual

Creates a shader object.

## ◆ create() [2/3]

virtual void clan::ShaderObjectProvider::create | ( | ShaderType | type,
|  | const std::vector< std::string > & | sources )
| pure virtual

Create.

Parameters

  type | = Shader Type
  vector | = std

## ◆ create() [3/3]

virtual void clan::ShaderObjectProvider::create | ( | ShaderType | type,
|  | const void * | source,
|  | int | source_size )
| pure virtual

Creates a shader object.

## ◆ get_compile_status()

virtual bool clan::ShaderObjectProvider::get_compile_status | ( |  | ) | const
| pure virtual

Returns true if compile succeeded.

## ◆ get_handle()

virtual unsigned int clan::ShaderObjectProvider::get_handle | ( |  | ) | const
| pure virtual

Returns the OpenGL shader handle.

## ◆ get_info_log()

virtual std::string clan::ShaderObjectProvider::get_info_log | ( |  | ) | const
| pure virtual

Get shader object's info log.

## ◆ get_shader_source()

virtual std::string clan::ShaderObjectProvider::get_shader_source | ( |  | ) | const
| pure virtual

Get shader source code.

## ◆ get_shader_type()

virtual ShaderType clan::ShaderObjectProvider::get_shader_type | ( |  | ) | const
| pure virtual

Gets the shader type.

The documentation for this class was generated from the following file:

- shader_object_provider.h